Package org.globus.net

# Class GSIHttpURLConnection

java.lang.Object
java.net.URLConnection
org.globus.net.GSIURLConnection
org.globus.net.GSIHttpURLConnection

public class GSIHttpURLConnection extends GSIURLConnection

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PORT`

### Fields inherited from class org.globus.net.GSIURLConnection

`authorization, credentials, delegationType, GSS_MODE_PROPERTY, gssMode`

### Fields inherited from class java.net.URLConnection

`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

## Constructor Summary

Constructors
Constructor
Description
`GSIHttpURLConnection(URL u)`

## Method Summary

Modifier and Type
Method
Description
`void`
`connect()`
`void`
`disconnect()`
`String`
`getHeaderField(String name)`
`InputStream`
`getInputStream()`
`OutputStream`
`getOutputStream()`

### Methods inherited from class org.globus.net.GSIURLConnection

`getAuthorization, getCredentials, getDelegationType, getExpectedName, getGSSMode, setAuthorization, setCredentials, setDelegationType, setGSSMode, setRequestProperty`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PORT

public static final int PORT

See Also:
  - Constant Field Values

## Constructor Details

### GSIHttpURLConnection

public GSIHttpURLConnection(URL u)

## Method Details

### connect

public void connect() throws IOException

Specified by:
  `connect` in class `URLConnection`
Throws:
  `IOException`

### disconnect

public void disconnect()

Specified by:
  `disconnect` in class `GSIURLConnection`

### getOutputStream

public OutputStream getOutputStream() throws IOException

Overrides:
  `getOutputStream` in class `URLConnection`
Throws:
  `IOException`

### getInputStream

public InputStream getInputStream() throws IOException

Overrides:
  `getInputStream` in class `URLConnection`
Throws:
  `IOException`

### getHeaderField

public String getHeaderField(String name)

Overrides:
  `getHeaderField` in class `URLConnection`